desktop-base (13.0.2ubuntu1) questing; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 15:52:39 +0100

desktop-base (13.0.2) unstable; urgency=medium

  * Use new version of logo-text.svg that renders in rsvg

 -- Jonathan Carter <jcc@debian.org>  Sat, 10 May 2025 12:23:40 +0200

desktop-base (13.0.1) unstable; urgency=medium

  * Initial integration of ceratopsian-theme
    - Update copyright years
    - Start work in ceratopsian-theme directory
    - Update plymouth background
    - Update GNOME metadata
    - Update alternatives in postinst
    - Update Makefile with new entries
  * Update standards version to 4.7.2
  * Remove version from logo

 -- Jonathan Carter <jcc@debian.org>  Tue, 06 May 2025 16:03:29 +0200

desktop-base (13.0.0~pre1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 16:31:47 -0600

desktop-base (13.0.0~pre1) unstable; urgency=medium

  [ Simon McVittie ]
  * Emerald: Remove Debian major version number from backgrounds.
    We have been in the Debian 13 cycle for more than a year now, so it seems
    inappropriate to identify testing/unstable installations as Debian 12.
    (Helps: #1038660)
  * Homeworld: Remove major version number from grub background.
    This seems to have been missed during #989822.

  [ Aurélien COUDERC ]
  * Drop obsolete lintian overrides.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch from debian/compat to debhelper-compat build dependency.
  * Drop custom gitlab-ci.yml config file and switch to default salsa-ci
    pipeline.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Sep 2024 09:02:06 +0200

desktop-base (12.0.6+nmu1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jul 2023 13:12:24 -0700

desktop-base (12.0.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * prerm: Remove the emerald alternatives, too.  (Closes: #1035431)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Jun 2023 12:36:56 +0200

desktop-base (12.0.6ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2023 12:31:23 +0200

desktop-base (12.0.6) unstable; urgency=medium

  * Fix LUKS password not being shown in multi-screen setup with mixed aspect
    ratios.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 Apr 2023 21:58:23 +0200

desktop-base (12.0.5) unstable; urgency=medium

  * Make the GDM Debian footer slightly smaller.
  * Even lighter Debian 12 text on emerald grub to improve grub text
    readability.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 23:22:32 +0100

desktop-base (12.0.4) unstable; urgency=medium

  * Add Debian swirl in circle as default profile icon for new users.
  * Add more sizes for the Emerald wallpaper. (Closes: #1027841)
  * Improvements to emerald plymouth theme’s visuals.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 00:21:39 +0100

desktop-base (12.0.3) unstable; urgency=medium

  * Update plymouth theme to implement Juliette’s proposal.
  * Fix and improve Plasma desktop customization. (Closes: #954093)
  * Update logos to Debian version 12. (Closes: #1026464)
  * Improve grub theme. (Closes: #1027301)
  * Remove older debian version numbers from assets. (Closes: #989822)
  * Fix missing links in joy inksplat theme. (Closes: #1023148)
  * Migrate wallpaper metadata from ini to json.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 23:57:31 +0100

desktop-base (12.0.2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 20:15:49 -0800

desktop-base (12.0.2) unstable; urgency=medium

  * Fix emerald theme paths in desktop xml file (Closes: #1026264) 

 -- Jonathan Carter <jcc@debian.org>  Fri, 23 Dec 2022 19:31:20 +0200

desktop-base (12.0.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info format in d/desktop-base.lintian-overrides on
    line 3-6.

  [ Jonathan Carter ]
  * Initial Emerald theme integration
   - Update copyright years
   - Start work in emerald-theme/ directory 
   - Update plymouth background
   - Update GNOME metadata
   - Update alternatives in postinst
   - Update Makefile with new entries

 -- Jonathan Carter <jcc@debian.org>  Sun, 11 Dec 2022 13:45:45 +0200

desktop-base (11.0.3ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Apr 2021 22:37:20 -0700

desktop-base (11.0.3) unstable; urgency=medium

  * Make Debian logo and text darker on GRUB backgrounds to avoid grub’s own
    text being unreadable on top of these. (Closes: #983884)
  * Also remove futurePrototype alternative for desktop-theme in prerm
    maintainer script. (Closes: #985267)
  * Fix Name metadata for homeworld theme’s wallpaper.
  * Also fix plymouth text display in multi-screen configurations for previous
    themes: futureprototype, joy, lines, moonlight, softwaves (fixes more
    cases of #956426).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Mar 2021 22:35:17 +0100

desktop-base (11.0.2) unstable; urgency=medium

  [ Holger Levsen ]
  * README: Homeworld is the default theme for bullseye.

  [ Aurélien COUDERC ]
  * Improve Plymouth boot screen for Homeworld theme. (Closes: #956426)
  * Align debian+text logos with Homeworld color palette, put bump Debian
    version to 11 for login screens.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Mar 2021 00:37:18 +0100

desktop-base (11.0.1) unstable; urgency=medium

  * New release
  * Update standards version to 4.5.0
  * Bump debhelper version to 13
  * Add start of homeworld theme integration

 -- Jonathan Carter <jcc@debian.org>  Mon, 15 Feb 2021 17:58:16 +0200

desktop-base (10.0.3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Aug 2019 14:01:30 -0700

desktop-base (10.0.3) unstable; urgency=medium

  * Remove Josselin Mouette <joss@debian.org> and Paul Tagliamonte
    <paultag@debian.org> from Uploaders, thanks for your past work on
    the package! (Closes: #930145)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 08 Jun 2019 11:40:23 +0200

desktop-base (10.0.2) unstable; urgency=medium

  * Remove text version of plymouth theme
    (won't work without additional dependencies)
  * Remove alternative that won't work yet

 -- Jonathan Carter <jcc@debian.org>  Mon, 15 Apr 2019 09:20:30 +0000

desktop-base (10.0.1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix login background for SDDM Debian Maui theme.
  * Default to wallpaper without logo.
  * Fix incorrect color on Debian red swirl icon.
  * Improve vertical placement of messages and password input for the
    moonlight theme.
  * Improve login screen on default install with XFCE.
  * Keep Moonlight/plymouth animation running so it doesn’t stop halfway
    when waiting for passphrase.

  [ Jonathan Carter ]
  * Add plymouth-label as recommends (Closes: #927077)
  * Add self to uploaders

 -- Jonathan Carter <jcc@debian.org>  Thu, 04 Apr 2019 17:27:08 +0200

desktop-base (10.0.0) unstable; urgency=medium

  * Add Buster’s default theme futurePrototype by Alex Makas.
  * Add alternate Buster theme moonlight by Juliette Taka Belin.
  * Add vendor (here Debian) logos and icons and the associated alternatives
    so that derivates can easily replace with their own. (Closes: #898456)
  * Optimize PNGs to reduce installed size.
  * Migrate d/copyright to machine-readable format 1.0.
  * Bump Standards-Version to 4.3.0 (no change required).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Feb 2019 23:58:47 +0100

desktop-base (9.0.7) unstable; urgency=medium

  * Tentative fix for intermittent build failure when doing parallel builds.

 -- Aurélien COUDERC <zecoucou@free.fr>  Mon, 21 May 2018 14:12:48 +0200

desktop-base (9.0.6ubuntu1) cosmic; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 May 2018 10:54:55 -0400

desktop-base (9.0.6) unstable; urgency=medium

  * First release with package sources migrated to git and
    salsa.debian.org!
    - Updated Vcs-* fields accordingly.
    - Add gbp.conf configuration for native package tag names.
    - Add README.contribute for how to contribute with git / salsa.

  * Improve detection of grub efi to choose default background ratio.
  * Add a debian-theme theme for plymouth themes. This should help switching
    the plymouth theme with the rest of the global theme.
  * Try harder detecting if grub is used as bootloader before calling
    update-grub. (Closes: #851893)
  * Misspelled identifier gloabl should be global in softwaves.script.
    (Closes: #898150)

  * Fix FTBFS due to make >= 4.2 being more picky on typos. (Closes: #897549)
  * Bump debhelper version to 11, fix usage of install in Makefiles in the
    move.
  * Drop versioned pre-depends on dpkg for dpkg-maintscript-helper that has
    been available in dpkg since wheezy.
  * Use debian-desktop@l.d.o as Maintainer instead of Gustavo Franco; removed
    Loïc Minier, Fathi Boudra and Eshat Cakar from uploaders. Thanks to all for
    your past work on the package! (Closes: #879297)
  * Bump Standards-Version to 4.1.4 (VCS-* fields already moved to secure URIs
    with the migration to Salsa).
  * Use Rules-Requires-Root: no
  * Fix Lintian issues:
    - unnecessary-testsuite-autopkgtest-header
    - package-uses-deprecated-source-override-location

 -- Aurélien COUDERC <zecoucou@free.fr>  Mon, 05 Mar 2018 10:20:26 +0100

desktop-base (9.0.5) unstable; urgency=medium

  * Ensure postinst doesn’t fails on upgrade even when an incomplete theme pack
    is active. (Closes: #858643)
  * Various check-all-the-things fixes.

 -- Aurélien COUDERC <zecoucou@free.fr>  Sun, 02 Jul 2017 10:24:37 +0200

desktop-base (9.0.4) unstable; urgency=medium

  * Fix XML errors in some GNOME wallpaper description files.
    (Closes: #862228)
  * Build with debhelper, bump compatibility level to 10, drop CDBS build
    dependency.
  * Add autopkgtests to validate XMLs structure and avoid bugs like #862228.

 -- Aurélien COUDERC <zecoucou@free.fr>  Tue, 27 Jun 2017 07:47:59 +0200

desktop-base (9.0.3) unstable; urgency=medium

  * Fix a few problems in maintainer scripts, thanks Raphaël Hertzog for the
    detailed review.
    No change in behaviour but it will make the scripts more readable and
    maintainable.
    - preinst: reorganize if conditions for package version detection in a
               readable order.
    - prerm: remove references to non existing $priority variable in loops.
    - prerm: no need to remove secondary alternatives just before removing
             a main alternative. Secondary are removed in the process anyway.
    (Closes: #853224)

 -- Aurélien COUDERC <zecoucou@free.fr>  Mon, 30 Jan 2017 22:21:40 +0100

desktop-base (9.0.2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Include size 3840x2160 (4k) wallpaper and lockscreen. (Closes: #851930)
  * Include more sizes of emblem-debian, add emblem-debian-white.
    (Closes: #833529)
  * Lockscreen/Joy: fix wallpaper image being used instead of lockscreen.

 -- Aurélien COUDERC <zecoucou@free.fr>  Tue, 24 Jan 2017 23:32:47 +0100

desktop-base (9.0.1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * postinst: Report success even when update-grub fails, this is needed
    for installation to work inside live systems. (Closes: #850601)
  * Plymouth/{softWaves,Lines,Joy}: provide fsckd progress support. Thanks to
    Ubuntu and Didier Roche for doing the work and providing timely info.
    (Closes: #850181)
  * Plymouth/softWaves: various visual tweaks, boost logo glow, improvements
    in password input rendering. Thanks Juliette!
  * Plymouth/Lines: ensure password field doesn’t bump into the Debian image
    even for smaller height screens. (Closes: #774226)
  * Plymouth/Lines: Remove 8 from Debian8 assets.

 -- Aurélien COUDERC <zecoucou@free.fr>  Sun, 15 Jan 2017 11:25:27 +0100

desktop-base (9.0.0) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Implement Plymouth splash for Stretch’s soft Waves theme.
    (Closes: #843998, #842078)
  * Prepare for plymouth splash integration into theme packs that will allow
    splash selection via alternatives in the future.
  * Fix postinst broken in 9.0.0~exp2 on install (and not upgrade) of the
    package.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <zecoucou@free.fr>  Mon, 02 Jan 2017 15:56:32 +0100

desktop-base (9.0.0~exp2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix detection of update-initramfs. (Closes: #843727)
  * Include GRUB text/background colors in the theme pack / alternatives
    system. (Closes: #606383)

  * Additional wallpaper and lockscreen ratios for Soft Waves theme.
  * Remove Moreblue theme from Lenny.
  * Add theme pack support Joy/Spacefun themes.

  * Use dash instead of bash for postinst
  * Generate all GRUB bitmaps from SVG at build time instead of versioning
    them.
  * Stop shipping SDDM breeze-based theme, now in plasma-workspace.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 19 Dec 2016 14:51:42 +0100

desktop-base (9.0.0~exp1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Initial support for Soft Waves theme by Juliette Belin.
    - Default theme for GRUB (Closes: #598776, #773369)
    - Default theme for GNOME wallpaper and lock screen
    - Default theme for Plasma 5 wallpaper (Closes: #831730)
    - Theme available for SDDM login and lock screen
    - debian/copyright updated
  * Initial support for global theme switching via alternatives

  * Remove references to long gone KDE3 globals in maintainer scripts.
    (Closes: #659549)
  * README.Debian: inform about updating initrds too. (Closes: #612163)
  * Document use of sync use before grub update in postinst. (Closes: #611364)
  * Add SDDM theming for KDE/Plasma 5:
    - Based on default SDDM theme breeze + Debian theme background.
    - Can be configured with alternatives (also works in lightdm).
   (Closes: #415064, #608523, #611170, #670866, #762276)
  * Remove deprecated ksplash and kdm from KDE4. (Closes: #607842)
  * Remove deprecated splash options from GNOME 2.
  * Some cleanup in maintainer scripts to correctly handle alternatives.
    (Closes: #773404)

  * Fix lintian warning command-with-path-in-maintainer-script in
    postinst script.
  * Bump Standards-Version to 3.9.8 (no changes needed).

  [ Yves-Alexis Perez ]
  * Also use Debian wallpaper for second monitor on Xfce.       closes: #785371

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 07 Nov 2016 21:32:30 +0100

desktop-base (8.0.2) unstable; urgency=medium

  * Reinstate login-background.svg. Closes: #773015.

 -- Josselin Mouette <joss@debian.org>  Sat, 13 Dec 2014 20:52:34 +0100

desktop-base (8.0.1) unstable; urgency=medium

  [ Coucouf ]
  * Fix KSplash preview for Lines. (Closes: #772900)

  [ Josselin Mouette ]
  * Remove old GDM theme.
  * Add GDM/GNOME lockscreen based on Lines.
  * gsettings-override: set it as the default.
  * Update gnome-backgrounds.xml. Closes: #772944.

 -- Josselin Mouette <joss@debian.org>  Fri, 12 Dec 2014 19:22:33 +0100

desktop-base (8.0.0) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Additional support for Lines theme:
    - Add plymouth Lines theme.
    - Add KDM Lines theme and make it default.
    - Add QML Lines theme for ksplash and make it default for new users.
    - Add widescreen alternative for grub background.
    - Add KDE wallpaper.
  * Fix incorrect icon references in desktop files.
    (Closes: #607838, #628116, #628146)
  * Link desktop-background.xml alternative to Lines by default.
    (Closes: #766232)
  * Drop remaining elements from Blueish, Curves and Nightly themes.
    (Closes: #607839)
  * Update copyright file, thanks Francesco Poli. (Closes: #772417)

  [ Yves-Alexis Perez ]
  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 11 Dec 2014 09:10:05 +0100

desktop-base (8.0.0~exp1) experimental; urgency=low

  [ Eshat Cakar ]
  * Ksplash: Avoid crash on resolutions with 600 pixels of
    height. (Closes: #689823)

  [ Paul Tagliamonte ]
  * Accept patch from Ulrich Hansen, fix 10-desktop-base.js to point to
    the symlink rather then hardcoding `joy'. (Closes: #690731)

  [ Yves-Alexis Perez ]
  * Initial support for Lines theme by Juliette Belin.
    - add the various ratio SVG wallpapers to backgrounds/
    - debian/{postinst,prerm}: update alternatives priority to make Lines the
      automatic/default one
    - gdm3/background.svg updated to use Lines login screen
    - grub/lines-grub.png added.
    - Makefile: install lines-grub grub background.
    - debian/copyright updated.
  * debian/control:
    - updated standards version to 3.9.6.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 11 Oct 2014 15:35:39 +0200

desktop-base (7.0.3) unstable; urgency=low

  [ Eshat Cakar ]
  * Fixed various glitches in the KDM Theme:
    - Make pam error messages actually visible.
    - Don't cut off the last hostname letter.
    - Adjust font sizes and colors.
  * Ksplash: don't cut off blurred icons.
  * Reduce opacity of Debian swirl in gdm/kdm background to be
    less distracting.

  [ Paul Tagliamonte ]
  * debian/rules: Use xz compression for binary packages. (Closes: #683903)
    - Thanks to Ansgar Burchardt <ansgar@debian.org> for the patch & bug.

  [ Jonathan Carter ]
  * Update joy theme to feature a themed password prompt.

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 22 Aug 2012 20:19:11 -0400

desktop-base (7.0.2) unstable; urgency=low

  * Dropped the ${misc:Depends}, as Yves-Alexis pointed out, it drags in dconf
    without a reason.

 -- Paul Tagliamonte <paultag@debian.org>  Mon, 30 Jul 2012 19:43:20 -0400

desktop-base (7.0.1) unstable; urgency=low

  [ Eshat Cakar ]
  * Make 1366x768 ksplash background really that resolution. (Closes: #679306)
  * Fix typo in plymouth theme. (Closes: #679357)
  * Updated ink-splated KDE wallpaper, to fix alignment issues.

  [ Paul Tagliamonte ]
  * Add ${misc:Depends} to the Depends for the binary package. We're using
    debhelper, so we should behave nicely.
  * Updated GDM & KDM's login background to have branding in the lower-right.
  * Inverting the GRUB highlight colors. This helps those who might be hard
    of sight, or think it's generally hard to see. (Closes: #680505)

 -- Paul Tagliamonte <paultag@debian.org>  Mon, 09 Jul 2012 20:24:40 -0400

desktop-base (7.0.0) unstable; urgency=low

  [ Eshat Cakar ]
  * Updated the KDM theme.
  * Updated the ksplash theme.
  * Install Joy wallpapers into /usr/share/wallpapers/
    This makes them visible in KDE's wallpaper chooser
  * Set default wallpaper for new users via plasma scripting

  [ Paul Tagliamonte ]
  * Added joy-inksplat into gnome-backgrounds.xml (Closes: #678937),
    thanks, Fabian!
  * Small rewrite of problematic debian/copyright lines (Closes: #678746),
    thanks, Francesco!
    - This rewrite also included the change of license from Adrien to GPLv2
      from CC-BY-SA 3.0.

 -- Eshat Cakar <info@eshat.de>  Mon, 25 Jun 2012 10:44:07 -0400

desktop-base (7.0.0~exp2) experimental; urgency=low

  * Remove GConf defaults, they are not used anymore.
  * Remove the GDM3 settings, since the configuration format for GDM
    change again, yay.
  * Add a dconf file for the new-style GDM3 configuration.
  * Add a XML file describing the available resolutions for the
    background (for use with GNOME).
  * postinst: use a higher priority for the 1920x1080 background.
  * Cleanup postinst/prerm/postrm.
  * Add a new alternative: desktop-background.xml.
  * Use it from the gsettings override.
  * Reload gdm3 after installation/removal.
  * Drop old libgnome2-common hack.
  * Clean up an alternative that is no longer available.

 -- Josselin Mouette <joss@debian.org>  Sat, 23 Jun 2012 23:28:15 +0200

desktop-base (7.0.0~exp1) experimental; urgency=low

  [ Paul Tagliamonte ]
  * Adding myself as a maintainer
  * We've got a new theme -- `joy' by Adrien Aubourg. Thanks, Adrien!
     - Theme added to backgrounds.
     - Theme added for Grub
     - Background changed for GDM3
     - Theme added for KDM & changed that to default.
     - Theme added for ksplash & changed to default.
  * Standards bump to 3.9.3
  * Pre-Dependency added for dpkg (>= 1.15.7.2~), since we use dpkg helpers
    in our preinst.
  * Add in Jonathan Carter's Plymouth theme.

  [ Jonathan Carter ]
  * Remove splashy theme since it's no longer available in archives

  [ Yves-Alexis Perez ]
  * Install emblem in the correct folder.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Sat, 23 Jun 2012 13:00:47 +0200

desktop-base (6.0.7) unstable; urgency=low

  [ Josselin Mouette ]
  * Build-depend on recent cdbs+debhelper to have dh_installgsettings.
  * debian/gsettings-override: set the default background using
    GSettings.
  * xy_desktop-base.gschema.override: configure the default background
    for gdm3 using GSettings as well.
  * All of this closes: #623094.
  * Add myself to uploaders.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.2.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 Oct 2011 21:43:14 +0200

desktop-base (6.0.6) unstable; urgency=low

  * plymouth/spacefun:
    - fix script for dual screen.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 19 Feb 2011 19:29:07 +0100

desktop-base (6.0.5) unstable; urgency=low

  * gnome-backgrounds.xml: rename wallpaper to not display the release name at
    all.                                                        closes: #607101
  * debian/copyright updated, thanks to Francesco Poli.         closes: #607458
  * debian-desktop-logo.png dropped, its' not installed anywhere anyway.
  * source/spacefun/splash updated to the DFSG-free version.    closes: #587668
  * usplash theme dropped, wasn't installed anyway.
  * debian/post{inst,rm}: don't configure plymouth theme, it'll override user
    settings. A better solution needs to be found for Wheezy    closes: #607142
  * debian/README.Debian: indicate how to enable plymouth theme.
  * drop all gnome-debian-sid artwork.
  * pixmaps/debian-security.png updated, thanks to Ulrich Hansen.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 Dec 2010 22:05:48 +0100

desktop-base (6.0.4) unstable; urgency=low

  * plymouth/spacefun:
    - update logo from Aurélien Couderc.
  * splash:
    - update svg to use path instead of font.
  * debian/control:
    - drop depends on ttf-sil-andika.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 14 Dec 2010 08:47:00 +0100

desktop-base (6.0.3) unstable; urgency=low

  * profiles/kde-profiles:
    - drop dir_wallpaper to not clutter KDE wallpaper chooser.  closes: #605116
  * debian/prerm:
    - remove desktop-splash spacefun alternative.               closes: #605239
  * profiles/[...]/xfce4-desktop.xml:
    - don't set image-style property, default to auto.          closes: #523150
  * cleanup debian/copyright for removed stuff.                 closes: #594533
  * debian/pixmaps:
    - debian-security updated, thanks to Ulrich Hansen.         closes: #389155
  * DFSG-ify artwork:                                           closes: #587668
    - various themes, thanks to Ulrich Hansen.
    - SpaceFun theme, thanks to Valessio Brito.
  * debian/control:
    - depends on ttf-sil-andika since SpaceFun theme uses it in svg files.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 12 Dec 2010 11:51:48 +0100

desktop-base (6.0.2) unstable; urgency=low

  * ksplash/spacefun/Theme.rc:
    - revert name change, it should follow directory name.
  * splashy/spacefun:
    - include images without “Debian” logo, thanks to Ulrich Hansen.
  * ./kdm-theme/kdm.d/10_desktop-base:
    - update path, KDE files are now in /usr/share/kde4/apps.
  * plymouth:
    - add spacefun theme from Aurelien Couderc.
  * Makefile:
    - install spacefun plymouth theme
  * debian/post{inst,rm}: configure plymouth theme if plymouth is installed.
  * debian/copyright updated for plymouth theme.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 27 Nov 2010 15:58:09 +0100

desktop-base (6.0.1) unstable; urgency=low

  * grub/grub_background.sh: invert highlight and normal text color for better
    readability.
  * run optipng on png files.
  * debian/preinst, debian/postinst, debian/postrm:
    - remove /etc/kde3/kdeglobals using dpkg-maintscript-helper closes: #603810
  * kdesktoprc:
    - use the desktop-background alternative in KDE config.
  * Makefile:
    - re-introduce kdeglobals, this time for KDE4.
    - install KDE4 stuff in /usr/share/kde4/*.
    - don't install -moodin ksplash themes.
    - install spacefun ksplash theme, remove previous themes, not working with
      KDE4.
  * ksplash:
    - *-moodin dropped, moodin is a KDE3 theme engine.
    - remove all other themes not ported to KDE4.
    - spacefun theme added
  * ksplashrc:
    - use spacefun theme
  * kdesktoprc replaced by plasma-desktop-appletsrc for KDE4.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 21 Nov 2010 11:07:50 +0100

desktop-base (6.0.0) unstable; urgency=low

  * The “Welcome Noémie” upload, adding Squeeze artwork.
  * debian/control:
    - update kde suggest to kde-standards.                      closes: #548244
    - update standards version to 3.9.1.
  * backgrounds:
    - add SpaceFun wallpaper
  * slashy:
    - add SpaceFun theme.
    - drop completely Moreblue Orbit theme.
  * kdm-theme:
    - add SpaceFun theme.
    - configure SpaceFun as the default theme.
  * debian/postinst:
    - add SpaceFun alternative at maximum level (default Squeeze theme).
    - rename grub alternative to add png extension so grub can find it.
    - run sync before updating grub to be sure the grub background has been
      written to disk.
  * debian/prerm:
    - rename grub alternative to add png extension.
  * Makefile:
    - drop unused rules for KDE3 and Xfce 4.4.
    - add SpaceFun gdm3 theme.
    - add SpaceFun kdm theme.
    - install grub theme and script.
  * {ksplash,kdm}-theme/moreblue-orbit{-default}:
    - drop “Debian” word from image to only use DFSG-free logo. closes: #587668
  * debian/copyright updated for the new theme.
  * grub:
    - add SpaceFun grub theme.
    - add a grub_background.sh which will override settings in grub and
      correctly set the default theme.
  * debian/README.Debian updated.
  * splash:
    - add SpaceFun splash.
  * profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml:
    - update colors to match new splash screen.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 15 Nov 2010 19:58:48 +0100

desktop-base (5.0.6) unstable; urgency=low

  * Non-maintainer upload with ok from Gustavo.
  * Not failing if update-grub2 returns non-zero, this unbreaks
    usage for debian-live (Closes: #467620).

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Jul 2010 04:46:32 +0200

desktop-base (5.0.5) unstable; urgency=low

  * debian/{preinst,postinst}: remove deprecated, unshipped alternatives.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 27 Feb 2009 08:44:53 +0100

desktop-base (5.0.4) unstable; urgency=low

  * Add session and desktop config files for Xfce 4.6.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 27 Feb 2009 01:15:20 +0100

desktop-base (5.0.3) unstable; urgency=medium

  * debian/preinst:
    - handle upgrade in various cases: (/etc/splashy/themes symlink or not,
      and changed or unchanged themes files)
  * debian/README.Debian:
    - announce the change.
    - tell user how to enable MoreBlue orbit theme if splashy is installed
      after desktop-base.
  * debian/postinst:
    - make sure we can use /etc/splashy/config.xml.
  * debian/source.lintian-overrides:
    - add override for not adding ${misc:depends} to Depends: line.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 14 Dec 2008 21:56:30 +0100

desktop-base (5.0.2) unstable; urgency=low

  * moreblue-orbit-wallpaper-widescreen.svg updated, fix a “transparent”
  * horizontal line on top.
  * debian/rules:
    - install splashy themes in /usr/share instead of /etc.     closes: #501315
  * debian/postinst, debian/prerm
    - move properly /etc/splashy/ conffiles to /usr/share/splashy.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 24 Oct 2008 00:23:57 +0200

desktop-base (5.0.1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * Update my email address in Uploaders:
  * Relabel background as “Lenny” in GNOME properties. (Closes: #495613)
  * Add MoreBlue Orbit widescreen as svg and add it to alternatives.

  [ Fathi Boudra ]
  * Merge wallpapers and backgrounds directories.
  * Remove deprecated splash and wallpapers:
    - debblue-1600x1200.png
    - bluedeb-1024x768.jpg
    - Debian.jpg
    - debian-background.svg
    - Splash-debblue.png
    - Splash-Debian.png
    - Splash-Debian_red.png
  * Add MoreBlue Orbit grub and splash sources.
  * Add MoreBlue Orbit widescreen.
  * Add Nightly sources.
  * Add MoreBlue Orbit Splashy theme. (Closes: #495618)
  * Add Nightly GNOME and KDM splash. Thanks to Robert Jahene.

 -- Fathi Boudra <fabo@debian.org>  Fri, 26 Sep 2008 00:49:22 +0200

desktop-base (5.0.0) unstable; urgency=low

  * Bump Standards-Version to 3.8.0 (no changes needed).
  * Add Lenny artwork: MoreBlue Orbit.
    Thanks to Andre L. R. Ferreira and Valessio S. Brito.
  * Add Nightly artwork. Thanks to Robert Jahene.
  * Use alternative to provide desktop-grub.

 -- Fathi Boudra <fabo@debian.org>  Thu, 14 Aug 2008 09:41:06 +0200

desktop-base (4.0.7) unstable; urgency=low

  * Replace 640x480 TGA version of debian-blueish-wallpaper.svg by a PNG for
    GRUB 2. (Closes: #465087)

 -- Fathi Boudra <fabo@debian.org>  Mon, 11 Feb 2008 14:06:52 +0100

desktop-base (4.0.6) unstable; urgency=low

  * Move update-grub2 hook to postrm instead of prerm.
  * Bump compat/debhelper to 6.
  * Add Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Mon, 14 Jan 2008 14:44:26 +0100

desktop-base (4.0.5) unstable; urgency=low

  [ Fathi Boudra ]
  * Bump Standards-Version to 3.7.3.
  * Add Homepage field.
  * Remove DM-Upload-Allowed: yes; All Uploaders are DD.
  * Update kdm theme for KDE 4.
  * Use zoom option instead of scaled option in gnome background.
    (Closes: #439838)
  * Update Makefile to fix wrong permissions on
    /usr/share/gnome-background-properties. (Closes: #452425)
  * Provide 640x480 TGA version of debian-blueish-wallpaper.svg for GRUB 2.
    Thanks to Robert Millan (Closes: #459352)

  [ Loic Minier ]
  * Also use zoom (instead of stretched) for the default wallpaper.

 -- Fathi Boudra <fabo@debian.org>  Wed, 09 Jan 2008 11:08:23 +0100

desktop-base (4.0.4) unstable; urgency=low

  [ Fathi Boudra ]
  * Make a copy of GdmGreeterTheme.desktop to KdmGreeterTheme.desktop:
    * KDE3 search for GdmGreeterTheme.desktop
    * KDE4 search for KdmGreeterTheme.desktop

  [ Loic Minier ]
  * Set DM-Upload-Allowed: yes; rock on Fathi!
  * Wrap build-deps and uploaders.
  * Cosmetic cleanups.

 -- Loic Minier <lool@dooz.org>  Fri, 23 Nov 2007 11:40:38 +0100

desktop-base (4.0.3) unstable; urgency=low

  * Fix KDE default wallpaper appearance between kdm to ksplash switch.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 24 May 2007 01:22:06 +0200

desktop-base (4.0.2) unstable; urgency=low

  * Fix dir_config path in kdeglobals and kdesktoprc doesn't support symlink.
    (Closes: #422043)

 -- Fathi Boudra <fboudra@free.fr>  Wed, 16 May 2007 14:59:27 +0200

desktop-base (4.0.1) unstable; urgency=high

  [ Fathi Boudra ]
  * Re-enable kdm override; this issue will be fixed on KDM init script.

  [ Loic Minier ]
  * Merge 4.0.0.1 and upload to unstable.

 -- Loic Minier <lool@dooz.org>  Thu, 22 Feb 2007 20:03:44 +0100

desktop-base (4.0.0.1) experimental; urgency=high

  [ Fathi Boudra ]
  * Fix KSplash theme moodin engine installation.
  * Fix MoreBlue KDM theme. Thanks to Modestas Vainius.
    (Closes: #408513, #408947)
  * KDM override is disabled by default. (Closes: #407799)
  * Fixed default SVG wallpaper reverting to previous image.
    (Closes: #407930)

  [ Loic Minier ]
  * Depend on librsvg2-common for SVG support.

 -- Gustavo Franco <stratus@debian.org>  Tue, 30 Jan 2007 17:08:41 -0200

desktop-base (4.0.0) unstable; urgency=low

  [ Fathi Boudra ]
  * Add icon-session and icon-reboot to MoreBlue KDM Theme like GDM Theme.

  [ Loic Minier ]
  * Bump up version to 4.0; etch.

 -- Loic Minier <lool@dooz.org>  Mon, 11 Dec 2006 20:59:38 +0100

desktop-base (0.3.22) unstable; urgency=low

  * New GNOME wallpaper description; only holds the default GNOME wallpaper
    for now; thanks Martin-Éric Racine; closes: #333457.

 -- Loic Minier <lool@dooz.org>  Mon, 11 Dec 2006 18:02:02 +0100

desktop-base (0.3.21) unstable; urgency=high

  [ Gustavo Franco ]
  * debian/control:
    - Set Maintainer field to me.
    - Set Uploaders to current debian-desktop members.
  * debian/control.in: removed

  [ Loic Minier ]
  * Drop uploaders rule and gnome-pkg-tools build-dep.

  [ Fathi Boudra ]
  * Fix debian-background.svg and debian-blueish-wallpaper.svg for KDE.
  * Rename kde directory to kde-profile. More consistent with KIOSK Framework.
  * Add kdeglobals support.
  * Add Debian MoreBlue KDM Theme.
  * Add Debian MoreBlue KSplash Theme (Default and Moodin engine).

  [ Loic Minier ]
  * Urgency high for etch's KDE artwork.

 -- Loic Minier <lool@dooz.org>  Mon, 11 Dec 2006 16:43:23 +0100

desktop-base (0.3.20) unstable; urgency=high

  [ Yves-Alexis Perez ]
  * Correct xfce4-session.rc file to add failsafe session so xfce4-session
    doesn't crash.

  [ Loic Minier ]
  * Upload; high urgency because the above changes are blocking another
    upload, even if the affected files are not useful yet.

 -- Loic Minier <lool@dooz.org>  Mon, 27 Nov 2006 12:16:05 +0100

desktop-base (0.3.19) unstable; urgency=low

  * Install configuration dirs for KDE and Xfce settings which will provide
    default values for the wallpaper, and splash screen; thanks Bart "cobaco"
    Cornelis; closes: #348702.

 -- Loic Minier <lool@dooz.org>  Fri, 17 Nov 2006 20:23:08 +0100

desktop-base (0.3.18) unstable; urgency=low

  [ Loic Minier ]
  * Add artworks by André Luiz Rodrigues Ferreira.
    - SVG background, backgrounds/debian-blueish-wallpaper.svg.
    - PNG splash, splash/gnome-splash-curves.png; closes: #288393.
  * Register these artworks as alternatives with the highest priority (40),
    and lower the other priorities.

  [ Josselin Mouette ]
  * Add a gconf-defaults file.
    + Set the default background, overriding the one in libgnome.
    + Set the default splash, overriding the one in gnome-session.
  * Register it with priority 15 (higher than standard Debian packages
    but lower than CDDs).
  * Build-depend on debhelper 5.0.13.

 -- Josselin Mouette <joss@debian.org>  Tue, 10 Oct 2006 16:36:36 +0200

desktop-base (0.3.17) unstable; urgency=low

  [ Gustavo Franco ]
  * Debian Desktop sid artwork added (including originals in .xcf):
    - wallpapers/gnome-debian-sid-wp.png
    - splash/gnome-debian-sid-splash.png
  * debian/README.Debian: added, containing notes about Debian
    Desktop artwork layout and more.
  * debian/copyright: updated, including the new images copyright notes

  [ Loic Minier ]
  * Rename Build-Depends-Indep to Build-Depends.
  * Bump up Standards-Version to 3.7.2.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Thu, 15 Jun 2006 21:35:25 +0200

desktop-base (0.3.16) unstable; urgency=low

  * GNOME Team Upload
  * backgrounds/debian-background.svg, debian/copyright,
    debian/{postinst,prerm}, Makefile:
  - added background provided by Josselin Mouette <joss@debian.org>
    to fit good with GNOME2.12's splash and theme look
    (Closes: #332873)
  * debian/prerm:
  - fixed bashism -o -> ] || [
  * debian/control.in:
  - added, updated Standards-Version to 3.6.2 with no changes
  - added gnome-pkg-tools to Build-Deps, updated debhelper's
    version requirement
  - added xfce4 to the Suggests after kde, before wmaker
  - added the Uploaders field
  * debian/rules:
  - include the pkg-gnome makefile include to generate the Uploaders
    field correctly

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  9 Oct 2005 16:14:10 -0300

desktop-base (0.3.15) unstable; urgency=low

  * postinst, prerm:
  - use alternatives to provide the default background and splash
  * backgrounds/debblue-1600x1200.png:
  - added debblue's largest background
  * debian/copyright:
  - updated to mention the debblue copyright/license
  * emblems/emblem-debian.{png,icon}:
  - added emblem for hicolor theme contributed by
    Dan Korostelev <dan@ats.energo.ru> (Closes: #257923)
  * Makefile:
  - install emblem in /usr/share/icons/hicolor/48x48/emblems/
  - install debblue background, and splash and make them
    the default

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 23 Oct 2004 23:34:52 -0300

desktop-base (0.3.14) unstable; urgency=low

  * pixmaps/debian-official-logo-small.png:
  - remove official logo as it is not DFSG-free (Closes: #246784)
  * debian/control:
  - Recommends: epiphany-browser | konqueror | www-browser

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 11 May 2004 17:25:09 -0300

desktop-base (0.3.13) unstable; urgency=low

  * debian/postinst:
  - modified the check for $2 being empty
    (Closes: #242059)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  4 Apr 2004 16:43:11 -0300

desktop-base (0.3.12) unstable; urgency=medium

  * debian/preinst:
  - remove the alternative stuff first to make it possible
    to remove the diversion
    (Closes: #241439, #241402, #241339, #241463)
  * splash/Splash-EvolvingTux.png:
  - remove while I try to sort out the legal issues
    try to get this into sarge soon (urgency=medium)
    (Closes: #241246)
  * debian/postinst:
  - regenerate the gconf default file by running libgnome2-common's
    postinst when upgrading from an older version (Closes: #241403)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  1 Apr 2004 16:44:26 -0300

desktop-base (0.3.11) unstable; urgency=low

  * debian/prerm, debian/postinst, debian/postrm:
  - remove them all
  * debian/preinst:
  - stop providing the diversion and the gnome-splash
    alternative if upgrading from diversion-including
    versions
  * Makefile, gconf/:
  - stop providing a default configuration for the
    background
  * debian/control:
  - updated Standards-Version to 3.6.1
  * debian/copyright:
  - included GPL location in common-licenses

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 30 Mar 2004 16:35:49 -0300

desktop-base (0.3.10) unstable; urgency=low

  * debian/postrm:
  - remove the unnecessary rm, sorry for the delay (Closes: #223925)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 18 Jan 2004 01:12:39 -0200

desktop-base (0.3.9) unstable; urgency=low

  * debian/preinst:
  - really fix the problem with local diversion, by removing it and
    readding it (Closes: #218091)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 12 Nov 2003 12:54:37 -0200

desktop-base (0.3.8) unstable; urgency=low

  * debian/postinst:
  - change priorities to make Debian_red the default
  * gconf/.../%gconf.xml:
  - set the default background file to /usr/share/images/desktop-base/default
  * Makefile:
  - install the gconf file

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 11 Nov 2003 13:17:22 -0200

desktop-base (0.3.7) unstable; urgency=low

  * debian/preinst:
  - remove the problematic local diversion, added the right thing
    (Closes: #218091).
  * splash/Debian-Splash.{xcf,png}:
  - edited to remove the white border and enlarge the image a bit
    (Closes: #218896)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 11 Nov 2003 00:27:50 -0200

desktop-base (0.3.6) unstable; urgency=low

  * New Maintainer
  * debia/rules:
  - use cdbs package
  * debian/control:
  - Depends on cdbs
  * debian/{postinst,preinst,postrm,prerm}:
  - set up a diversion and the alternatives system for the
    /usr/share/pixmaps/splash/gnome-splash.png file, making
    Splash-Debian the default.
  * splash/{Splash-Debian_red.png,Splash-EvolvingTux.png}:
  - added new splashs (Closes: #200007, #205258)
  * Makefile:
  - create /usr/share/pixmaps/splash

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 21 Oct 2003 15:22:12 -0200

desktop-base (0.3.5) unstable; urgency=low

  * debian-reference.desktop:
    - Change URL to the actual reference guide, and fix typo "manaul" =>
    "manual" (Closes: #172737).

 -- Colin Walters <walters@debian.org>  Fri,  3 Jan 2003 14:57:55 -0500

desktop-base (0.3.4) unstable; urgency=low

  * Make a symlink /usr/share/images/desktop-base/default pointing to the
    default background we want.
  * debian/rules:
    - Use the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Thu, 19 Dec 2002 19:19:14 -0500

desktop-base (0.3.3) unstable; urgency=low

  * debian/rules:
    - Use the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Thu, 21 Nov 2002 00:47:57 -0500

desktop-base (0.3.2) unstable; urgency=low

  * debian/backgrounds/bluedeb-1024x768.jpg:
    - New background from Roger So.

 -- Colin Walters <walters@debian.org>  Wed, 20 Nov 2002 23:49:14 -0500

desktop-base (0.3.1) unstable; urgency=low

  * Update splash/Debian-Splash.xcf, splash/Debian-Splash.png.
  * debian/rules:
    - Use Colin's Build System.
  * debian/desktop-base.install:
    - New.

 -- Colin Walters <walters@debian.org>  Wed, 06 Nov 2002 14:26:22 -0500

desktop-base (0.3) unstable; urgency=low

  * Remove debian-wallpaper1280x1024.png; it was big and useless.
  * Add splash/Debian-Splash.xcf, splash/Debian-Splash.png.

 -- Colin Walters <walters@debian.org>  Thu, 31 Oct 2002 15:01:53 -0500

desktop-base (0.2-1) unstable; urgency=low

  * Actually link to the installed images (Closes: #166245).
    Oops.

 -- Colin Walters <walters@debian.org>  Fri, 25 Oct 2002 00:55:19 -0400

desktop-base (0.1-1) unstable; urgency=low

  * Initial Version (Closes: #165928).

 -- Colin Walters <walters@debian.org>  Tue, 22 Oct 2002 15:05:34 -0400

